/**
* Reset some basic elements
*/
body, h1, h2, h3, h4, h5, h6,
p, blockquote, pre, hr,
dl, dd, ol, ul, figure {
  margin: 0;
  padding: 0;
}



/**
* Basic styling
*/
body {
  font-family: $sans-serif;
  font-size: $base-font-size;
  line-height: $base-line-height;
  font-weight: 400;
  color: $text-color;
  background-color: $background-color;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: subpixel-antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* The following should improve legibility of Open Sans for all browsers, but especially Windows users.
     Emphasis on should. */
  text-rendering: optimizeLegibility;
  -webkit-font-feature-settings: "kern" 1;
          font-feature-settings: "kern" 1;
  font-kerning: normal;
}



/**
* Set `margin-bottom` to maintain vertical rhythm
*/
h1, h2, h3, h4, h5, h6,
p, blockquote, pre,
ul, ol, dl, figure,
%vertical-rhythm {
  margin-bottom: $spacing-unit / 2;
}



/**
* Images
*/
img {
  max-width: 100%;
  vertical-align: middle;
}



/**
* Figures
*/
figure > img {
  display: block;
}

figcaption {
  font-size: $small-font-size;
}



/**
* Lists
*/

li {
  > ul,
  > ol {
    margin-bottom: 0;
  }
}


/* CSS reset for WebKit lists, horizontal rules, etc. */
ul, ol, figure, hr {
  -webkit-margin-before: 0;
  -webkit-margin-after: 0;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  -webkit-padding-start: 0;
  -webkit-padding-end: 0;
}

/* Removes margin from all paragraph, or "p" elements. */
p {
  -webkit-margin-before: 0;
  -webkit-margin-after: 0;
}


/**
* Headings
*/
h1, h2, h3 {
  font-family: $slab-serif;
  font-weight: 300;
}

h4, h5, h6 {
  font-family: $sans-serif;
  font-weight: 300;
}



/**
* Links
*/
a {
  color: #333;
  text-decoration: none;

  &:hover {
    color: #111;
    text-decoration: underline;
  }
}



/**
* Blockquotes
*/
blockquote {
  color: #333;
  border-left: 4px solid $grey-color-light;
  padding-left: $spacing-unit / 2;
  font-size: 18px;
  margin: 20px 0;

  > :last-child {
    margin-bottom: 0;
  }
}



/**
* Code formatting
*/
pre,
code {
  font-size: 15px;
  border: 1px solid $grey-color-light;
  border-radius: 3px;
  background-color: #fff;
}

code {
  padding: 3px;
}

pre {
  padding: 20px 18px;
  overflow-x: scroll;

  > code {
    border: 0;
    padding-right: 0;
    padding-left: 0;
  }
}

h1, h2, h3, h4, h5 {
  code {
    font-size: 0.85em
  }
}



/**
* Wrapper
*/
.wrapper {
  max-width: calc(#{$content-width} - (#{$spacing-unit} * 2));
  margin-right: auto;
  margin-left: auto;
  padding-right: $spacing-unit;
  padding-left: $spacing-unit;

  @include media-query($on-laptop) {
      max-width: calc(#{$content-width} - (#{$spacing-unit}));
      padding-right: $spacing-unit / 2;
      padding-left: $spacing-unit / 2;
  }
}



/**
* Icons
*/
.icon {

  > svg {
    display: inline-block;
    width: 16px;
    height: 16px;
    vertical-align: middle;

    path {
      fill: $grey-color;
    }
  }
}
